#
# spec file for package eject
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           eject
BuildRequires:  recode sg3_utils-devel
License:        GPL v2 or later
Group:          System/Base
Url:            http://eject.sourceforge.net/
AutoReqProv:    on
Summary:        A Program to Eject Media under Software Control
Version:        2.1.0
Release:        152.153.1
Source:         %{name}-%{version}.tar.bz2
Patch1:         %{name}-%{version}-subfs.diff
Patch3:         %{name}-%{version}-scsi.diff
Patch4:         %{name}-%{version}-po-cleanup.diff
Patch5:         %{name}-%{version}-prototypes.diff
Patch6:         %{name}-%{version}-toggle.diff
Patch7:         %{name}-%{version}-status.diff
Patch8:         %{name}-%{version}-umount.diff
# PATCH-FIX-SUSE fix segfault when unmounting (bnc#716644)
Patch9:         eject-2.1.0-regfree_segfault.patch
PreReq:         permissions
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Eject allows removable media (typically a CD-ROM, floppy disk, tape, or
JAZ or ZIP disk) to be ejected under software control. The command can
also control some multidisc CD-ROM changers, the autoeject feature
supported by some devices, and close the disc tray of some CD-ROM
drives.



Authors:
--------
    Jeff Tranter <tranter@pobox.com>

%prep
%setup -q
%patch1
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9 -p1

%build
aclocal
automake -a
autoconf
./configure --prefix=%{_prefix} --bindir=/bin --mandir=%{_mandir} --enable-default-device=/dev/cdrom
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT/bin/volname $RPM_BUILD_ROOT%{_bindir}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_permissions
%verifyscript
%verify_permissions -e /bin/eject

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING ChangeLog TODO PORTING INSTALL
%doc %{_mandir}/man?/*
%verify(not mode) %attr(4750,root,audio) /bin/eject
%{_bindir}/*

%changelog
* Tue Dec  6 2011 vcizek@suse.com
- fixed segfault when unmounting devices (bnc#716644)
* Mon Jun  2 2008 anicka@suse.cz
- do umount before attempting to toggle (bnc#374526)
* Tue May 27 2008 anicka@suse.cz
- BuildRequire sg3_utils-devel instead of scsi
* Tue May 27 2008 anicka@suse.cz
- check host_status and driver_status when using SG_IO
  (bnc#358033)
* Fri May 23 2008 anicka@suse.cz
- use CDROM_DRIVE_STATUS in toggle, fall back to original
  heuristic when it fails (bnc#374526)
* Mon Feb 11 2008 pcerny@suse.cz
- changing SCSI timout to 8sec (in eject-2.1.0-scsi.diff) [#340450]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan  9 2006 mjancar@suse.cz
- update to 2.1.0
- drop obsolete patches
  * eject-2.1.0-media.diff
  * eject-2.1.0-noabort.diff
* Mon Aug 29 2005 mjancar@suse.cz
- fix deprecated SCSI ioctl (#113861)
- more cleanups in po-files
- split patches by subject
* Tue Aug  9 2005 mmarek@suse.cz
- Set Content-Type in po/de_DE.po (Bug #102608)
* Mon Dec 13 2004 sndirsch@suse.de
- moved chinese and japanese mo files to correct directory
  (Bug #47262)
* Wed Nov 10 2004 ro@suse.de
- permission handling fixes
* Mon Feb 23 2004 adrian@suse.de
- add patch to support subfs and supermount mounts
  (do eject, but do not unmount, based on supermount-eject patch)
* Fri Dec 20 2002 tcrhak@suse.cz
- update to version 2.0.13
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Sep 10 2002 tcrhak@suse.cz
- removed BLKRRPART ioctl which caused error when scsi
  was being ejected (bug #19236). This is not necessary
  as the device is unmounted.
* Mon Dec 10 2001 tcrhak@suse.cz
- update to 2.0.12
- gz changed to bz2
* Wed Jul 18 2001 nadvornik@suse.cz
- update to 2.0.10
* Thu May 10 2001 nadvornik@suse.cz
- patched to compare major and minor device number when
  looking for mounted device [bug #6691]
* Thu Dec 14 2000 smid@suse.cz
- change permission of man page to 644
* Tue Dec 12 2000 olh@suse.de
- add security patch from <krahmer@cs.uni-potsdam.de>
  set %%attr(4750,root,audio) for /bin/eject
* Tue Sep 19 2000 olh@suse.de
- move binary to /bin
* Tue Apr 18 2000 smid@suse.cz
- buildroot added
* Mon Apr 10 2000 uli@suse.de
- now works without /etc/fstab
* Sat Feb 12 2000 grimmer@suse.de
- added Group tag and URL to spec file
- moved man page to /usr/share/man
- use version macro
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 26 1999 grimmer@suse.de
- initial package (Version 2.0.2)
